doxygen.sh 1.2 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344
  1. #!/bin/sh
  2. # Make sure the doxygen documentation builds without warnings
  3. #
  4. # Copyright The Mbed TLS Contributors
  5. # SPDX-License-Identifier: Apache-2.0
  6. #
  7. # Licensed under the Apache License, Version 2.0 (the "License"); you may
  8. # not use this file except in compliance with the License.
  9. # You may obtain a copy of the License at
  10. #
  11. # http://www.apache.org/licenses/LICENSE-2.0
  12. #
  13. # Unless required by applicable law or agreed to in writing, software
  14. # distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  15. # WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  16. # See the License for the specific language governing permissions and
  17. # limitations under the License.
  18. # Abort on errors (and uninitiliased variables)
  19. set -eu
  20. if [ -d library -a -d include -a -d tests ]; then :; else
  21. echo "Must be run from mbed TLS root" >&2
  22. exit 1
  23. fi
  24. if scripts/apidoc_full.sh > doc.out 2>doc.err; then :; else
  25. cat doc.err
  26. echo "FAIL" >&2
  27. exit 1;
  28. fi
  29. cat doc.out doc.err | \
  30. grep -v "warning: ignoring unsupported tag" \
  31. > doc.filtered
  32. if egrep "(warning|error):" doc.filtered; then
  33. echo "FAIL" >&2
  34. exit 1;
  35. fi
  36. make apidoc_clean
  37. rm -f doc.out doc.err doc.filtered